2018-09-20 19:17 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000834FSSCPgameplaypublic2006-05-20 23:13
ReporterCP5670 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000834: Arrival/departure special proximity targets messed up
DescriptionThe game and editor no longer seem to recognize the "special" arrival/departure targets that can be specified for ships (<any enemy>, <any friendly> and so on). If these are used in any mission, the ships just jump in at their default locations. In FRED2, the list of such targets is also rather messed up. The dropdown menu contains a whole bunch of ">" signs followed by all the normal ships in the mission, but <any enemy> and the other special targets are not in the list and can't be used.

This is causing some huge gameplay screwups in three of my missions and is a pretty big problem.
TagsNo tags attached.
Attached Files
  • ? file icon test.fs2 (5,548 bytes) 2006-03-01 00:33

-Relationships
+Relationships

-Notes

~0004943

Goober5000 (administrator)

Fixed.

~0004959

CP5670 (reporter)

Last edited: 2006-02-27 02:05

This is almost fixed, but there is still one small problem. The <any enemy> and <any friendly> targets are basically switched around. (in the game, <any enemy> does what <any friendly> should do and vice versa)

edited on: 02-27-06 02:05

~0004965

Goober5000 (administrator)

So is this a FRED problem or a FSO problem? In other words, are the tags consistent between loading and saving a mission, and the game gets it backwards? Or do the tags swap every time you load a mission?

~0004969

CP5670 (reporter)

I think the game is getting it backwards, not FRED2. I tried one older mission (that hadn't been saved by a newer FRED2) and the behavior in the 2/26 FSO build was the opposite of older builds, but it worked correctly when I switched the arrival targets using notepad.

Has <any enemy> been changed to <any hostile>? If I load a mission with the <any enemy> tags, FRED2 automatically changes them to <any hostile>, but the game seems to recognize both (they both behave like <any friendly> should).

~0004972

Goober5000 (administrator)

That doesn't make any sense. I don't see anything in the code that should be causing this... it should go directly from the iff index to the name, and vice versa.

Can you see if you can narrow this down any more?

Yes, <any enemy> has been changed to <any hostile>, but this should revert back when saving in retail format.

~0004997

CP5670 (reporter)

I have uploaded a test mission showing this. In the old 9/17/05 build (which I think is still in the warpcore archive), the Mara jumps in near you and the Dragon jumps in far away, while in recent builds like 2/26 it happens the other way around.

~0005541

Goober5000 (administrator)

Ugh. Stupid typo.

Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2006-02-25 03:47 CP5670 New Issue
2006-02-25 19:48 Goober5000 Status new => assigned
2006-02-25 19:48 Goober5000 Assigned To => Goober5000
2006-02-25 23:34 Goober5000 Status assigned => resolved
2006-02-25 23:34 Goober5000 Resolution open => fixed
2006-02-25 23:34 Goober5000 Note Added: 0004943
2006-02-27 02:03 CP5670 Status resolved => feedback
2006-02-27 02:03 CP5670 Resolution fixed => reopened
2006-02-27 02:03 CP5670 Note Added: 0004959
2006-02-27 02:05 CP5670 Note Edited: 0004959
2006-02-27 15:07 Goober5000 Note Added: 0004965
2006-02-27 18:00 CP5670 Note Added: 0004969
2006-02-28 01:42 Goober5000 Note Added: 0004972
2006-03-01 00:33 CP5670 File Added: test.fs2
2006-03-01 00:34 CP5670 Note Added: 0004997
2006-05-20 23:13 Goober5000 Status feedback => resolved
2006-05-20 23:13 Goober5000 Resolution reopened => fixed
2006-05-20 23:13 Goober5000 Note Added: 0005541
+Issue History